*, *::after, *::before{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: monospace, sans-serif;
}


:root{
    --hue:490;
    --saturation: 60%;
    --foreground-color: hsl(var(--hue),var(--saturation), 75%); 
    --background-color: hsl(var(--hue),var(--saturation), 20%); 
}

body{
    margin:0;
    background-color: var(--background-color);
    background-position: center;
    background-size: contain;
    position: relative;
    overflow: hidden;
}

.line{
    position: absolute;
    left: 50%;
    width: 0px;
    border-left: 5px solid white;
    height: 100vh;
    top: 0;
}

.paddle{
    --position: 50;
    position: absolute;
    /* background: var(--foreground-color); */
    width: 50px;
    height: 10vh;
    top:calc(var(--position)* 1vh);
    transform: translateY(-50%);
}

.paddle.left{
    left: 1vh;
    background-color: red;
    background-image: url("./images/tred.png");
    border-radius:10px 50% 50% 10px;
    
}
.paddle.right{
    right: 1vh;
    transition: all ease 0.1s;  
 background-color: red;
     background-image: url("./images/tred.png");

    border-radius:50% 10px 10px 50% ;
    /* with just a change with in the transition time we can alter the accuracy, eventually which helps to define the modes/levels to us*/

}

.ball{
    --x: 50;
    --y: 50;
    position: absolute;
    background: white;
    background-image: url("./images/twhite.png");
    width: 3vh;
    height: 3vh;
    border-radius: 50%;
    top:calc(var(--y)* 1vh);
    left:calc(var(--x)* 1vw);
    transform: translate(-50%,-50%);
}

.score{

    display: flex;
    padding: 15px 22px;
    gap:20px;
    color: var(--foreground-color);
    font-size: 7vh;
    opacity: 0.5;
    

}

.score > *{
    flex-grow: 1;
    flex-basis: 0;
    padding: 0 1vh;
    margin: 0;
    
}


.score>:first-child{
text-align: right;
/* border-right: 0.5vh solid var(--foreground-color); */
padding-right: 3.9vh;
}







.pc {
  display: none;
  width: 100%;
}
.phn {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: center;
  flex-direction: column;
    height: 100VH;
}

.phn img{
    width: 50%;
    max-width: 300px;
    padding-bottom: 40px;
}
.phn h1{
    background-color: bisque;
    color: black;
    padding: 5px 10px;
    width:80% ;
    min-width: 300px;
    border-radius: 7px;
}

@media (min-width: 1000px) {
  .phn {
    display: none;
  }

  .pc {
    display: block;
  }
}
